#ifndef MENU_UI_HPP
#define MENU_UI_HPP

#include "godot_cpp/classes/control.hpp"
#include <godot_cpp/classes/canvas_layer.hpp>
#include <godot_cpp/classes/node3d.hpp>
#include <godot_cpp/classes/packed_scene.hpp>

namespace godot {
class MenuUI : public CanvasLayer {
    GDCLASS(MenuUI, CanvasLayer);
    static void _bind_methods();
public:
    virtual void _ready() override;

    void start_game();
    void toggle_controls();

    void set_game_scene(Ref<PackedScene> scene);
    Ref<PackedScene> get_game_scene() const;
private:
    Control *controls{nullptr};
    Ref<PackedScene> game_scene{};
};
}

#endif // !MENU_UI_HPP
